Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.x509
Class AttributeCertificateHolder

    java.lang.Object
      |
      +--org.bouncycastle.x509.AttributeCertificateHolder

All Implemented Interfaces:
  CertSelector, java.lang.Cloneable

public class AttributeCertificateHolder
extends java.lang.Object
implements CertSelector

The Holder object.

      Holder ::= SEQUENCE {
            baseCertificateID   [0] IssuerSerial OPTIONAL,
                     -- the issuer and serial number of
                     -- the holder's Public Key Certificate
            entityName          [1] GeneralNames OPTIONAL,
                     -- the name of the claimant or role
            objectDigestInfo    [2] ObjectDigestInfo OPTIONAL
                     -- used to directly authenticate the holder,
                     -- for example, an executable
      }

Constructor Summary
`AttributeCertificateHolder(java.security.cert.X509Certificate cert)`
`AttributeCertificateHolder(X509Principal principal)`

Method Summary
`java.lang.Object` | `clone()` Makes a copy of this `CertSelector`.
`boolean` | `match(java.security.cert.Certificate cert)` Decides whether a `Certificate` should be selected.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeCertificateHolder

    public AttributeCertificateHolder(java.security.cert.X509Certificate cert)
                               throws java.security.cert.CertificateParsingException

### AttributeCertificateHolder

    public AttributeCertificateHolder(X509Principal principal)

Method Detail

### clone

    public java.lang.Object clone()

  Description copied from interface: `CertSelector`
  Makes a copy of this `CertSelector`. Changes to the copy will not affect the original and vice versa.

  Specified by:
    `clone` in interface `CertSelector`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a copy of this `CertSelector`

### match

    public boolean match(java.security.cert.Certificate cert)

  Description copied from interface: `CertSelector`
  Decides whether a `Certificate` should be selected.

  Specified by:
    `match` in interface `CertSelector`
  Parameters:
    `cert` - the `Certificate` to be checked
  Returns:
    `true` if the `Certificate` should be selected, `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD